searchData={"items":[{"type":"module","title":"AlibabaCloudKit","doc":"A kit for Alibaba Cloud or Aliyun.\n\n> This package is built by following my proposal -\n> [Ship utilities for building platform SDKs](https://github.com/cozy-elixir/proposals/blob/main/ship-utilities-for-building-platform-sdks.md).","ref":"AlibabaCloudKit.html"},{"type":"module","title":"API styles - AlibabaCloudKit","doc":"For a variety of reasons, Alibaba Cloud involves several different API styles:\n\n  * RPC\n    * Elastic Compute Service (ECS)\n    * Content Delivery Network (CDN)\n    * ApsaraDB RDS\n    * ...\n  * ROA\n    * Application Real-Time Monitoring Service (ARMS)\n    * Batch Compute, Container Service for Kubernetes (ACK)\n    * Elasticsearch\n    * ...\n  * OSS\n    * Object Storage Service (OSS)","ref":"AlibabaCloudKit.html#module-api-styles"},{"type":"module","title":"Check style of an API - AlibabaCloudKit","doc":"1. Visit [OpenAPI Explorer](https://next.api.alibabacloud.com/).\n  2. Search the API you wanna use.\n  3. Check the metadata, and the the metadata should like this:\n\n```json\n{\n  \"version\": \"1.0\",\n  \"info\": {\n     \"version\": \"2014-05-26\",\n     \"style\": \"RPC\",  # <- This is the API style.\n     \"product\": \"Ecs\"\n  },\n  // ...\n}\n```","ref":"AlibabaCloudKit.html#module-check-style-of-an-api"},{"type":"module","title":"Build and send an API request - AlibabaCloudKit","doc":"Despite the diversity of API styles, their request flow is consistent:\n\n  1. build a request according to the official docs. (by [http_spec](https://hex.pm/packages/http_spec))\n  2. sign the request. (**this package helps to do it**)\n  3. send the request via your preferred HTTP client. (in your application code)\n  4. process the response. (in your application code)","ref":"AlibabaCloudKit.html#module-build-and-send-an-api-request"},{"type":"module","title":"Authorization - AlibabaCloudKit","doc":"Before calling any API, please make sure that the required permission is granted.","ref":"AlibabaCloudKit.html#module-authorization"},{"type":"module","title":"About endpoints - AlibabaCloudKit","doc":"In official docs, the term *endpoint* refers to different things:\n\n* sometimes, it refers to a host, such as `ecs.us-west-1.aliyuncs.com`.\n* sometimes, it refers to a URL, such as `https://ecs.use-west-1.aliyuncs.com`.\n\nThis kind of inconsistency is annoying.\n\n`AlibabaCloudKit` will **always** use the term *endpoint* to refer to a base URL:\n\n     :// /","ref":"AlibabaCloudKit.html#module-about-endpoints"},{"type":"module","title":"Public endpoints - AlibabaCloudKit","doc":"* centralized deployments: ` :// .aliyuncs.com/`\n* multi-region deployments: ` :// . .aliyuncs.com/`","ref":"AlibabaCloudKit.html#module-public-endpoints"},{"type":"module","title":"private endpoints (aka VPC endpoints) - AlibabaCloudKit","doc":"Private endpoints are also known as VPC endpoints.\n\n* centralized deployments: ` :// .vpc-proxy.aliyuncs.com/`\n* multi-region deployments: ` :// -vpc. .aliyuncs.com/`","ref":"AlibabaCloudKit.html#module-private-endpoints-aka-vpc-endpoints"},{"type":"module","title":"Public endpoints vs. Private endpoints - AlibabaCloudKit","doc":"Public endpoints consume public network traffic.\n\nPrivate endpoints don't consume public network traffic. In addition, they provide higher network\nspeed, and higher level secure protection.\n\nPersonally, I recommend using private endpoints as much as possible.","ref":"AlibabaCloudKit.html#module-public-endpoints-vs-private-endpoints"},{"type":"module","title":"AlibabaCloudKit.OSS.Object","doc":"Provides OSS object related helpers.\n\nIt's a high-level module built on top of `AlibabaCloudKit.Signature.OSS4`.","ref":"AlibabaCloudKit.OSS.Object.html"},{"type":"function","title":"AlibabaCloudKit.OSS.Object.presign_post_object/3","doc":"Presigns a `PostObject` operation and returns the necessary form data when\nexecuting the `PostObject` operation.\n\nRead more at:\n\n  * [PostObject](https://www.alibabacloud.com/help/en/oss/developer-reference/postobject/)\n  * [PostObject (zh-Hans)](https://help.aliyun.com/zh/oss/developer-reference/postobject/)","ref":"AlibabaCloudKit.OSS.Object.html#presign_post_object/3"},{"type":"function","title":"Examples - AlibabaCloudKit.OSS.Object.presign_post_object/3","doc":"region = \"oss-us-west-1\"\n    bucket = \"example-bucket\"\n\n    key = \"lenna.png\"\n    acl = \"private\"\n    max_size_in_bytes = 1024 * 1024 * 5\n\n    conditions = [\n      [\"eq\", \"$key\", key],\n      [\"eq\", \"$x-oss-object-acl\", acl],\n      [\"content-length-range\", 1, max_size_in_bytes]\n    ]\n\n    seconds_to_expire = 3600\n\n    opts = [\n      access_key_id: \"...\",\n      access_key_secret: \"...\",\n      region: region,\n      bucket: bucket\n    ]\n\n    %{\n      policy: policy,\n      \"x-oss-credential\": x_oss_credential,\n      \"x-oss-date\": x_oss_date,\n      \"x-oss-signature-version\": x_oss_signature_version,\n      \"x-oss-signature\": x_oss_signature,\n    } = AlibabaCloudKit.OSS.presign_post_object(conditions, seconds_to_expire, opts)\n\nTo use the returned data, you should built a form with multipart data, and send it:\n\n    alias Tesla.Multipart\n\n    url = \"https://#{bucket}.#{region}.aliyuncs.com\"\n\n    multipart =\n      Multipart.new()\n      |> Multipart.add_field(\"key\", key)\n      |> Multipart.add_field(\"x-oss-object-acl\", acl)\n      |> Multipart.add_field(\"policy\", policy)\n      |> Multipart.add_field(\"x-oss-credential\", x_oss_credential)\n      |> Multipart.add_field(\"x-oss-date\", x_oss_date)\n      |> Multipart.add_field(\"x-oss-signature-version\", x_oss_signature_version)\n      |> Multipart.add_field(\"x-oss-signature\", x_oss_signature)\n      |> Multipart.add_file_content(binary_of_file, \"lenna.png\")\n\n    {:ok, %{status: 204}} = Tesla.post(url, multipart)","ref":"AlibabaCloudKit.OSS.Object.html#presign_post_object/3-examples"},{"type":"function","title":"AlibabaCloudKit.OSS.Object.presign_post_object_v1/3","doc":"Presigns a `PostObject` operation with OSS V1 signature.\n\n> OSS V1 signature is only supported at here.\n\n> You should this function only for maintaining legacy code. In other case,\n> please use `presign_post_object/3`.","ref":"AlibabaCloudKit.OSS.Object.html#presign_post_object_v1/3"},{"type":"function","title":"Examples - AlibabaCloudKit.OSS.Object.presign_post_object_v1/3","doc":"region = \"oss-us-west-1\"\n    bucket = \"example-bucket\"\n\n    key = \"lenna.png\"\n    acl = \"private\"\n    max_size_in_bytes = 1024 * 1024 * 5\n\n    conditions = [\n      [\"eq\", \"$key\", key],\n      [\"eq\", \"$x-oss-object-acl\", acl],\n      [\"content-length-range\", 1, max_size_in_bytes]\n    ]\n\n    seconds_to_expire = 3600\n\n    opts = [\n      access_key_id: \"...\",\n      access_key_secret: \"...\",\n      region: region,\n      bucket: bucket\n    ]\n\n    %{\n      policy: policy,\n      signature: signature\n    } = AlibabaCloudKit.OSS.presign_post_object_v1(conditions, seconds_to_expire, opts)\n\nTo use the returned data, you should built a form with multipart data, and send it:\n\n    alias Tesla.Multipart\n\n    url = \"https://#{bucket}.#{region}.aliyuncs.com\"\n\n    multipart =\n      Multipart.new()\n      |> Multipart.add_field(\"key\", key)\n      |> Multipart.add_field(\"x-oss-object-acl\", acl)\n      |> Multipart.add_field(\"OSSAccessKeyId\", access_key_id)\n      |> Multipart.add_field(\"policy\", policy)\n      |> Multipart.add_field(\"Signature\", signature)\n      |> Multipart.add_file_content(binary_of_file, \"lenna.png\")\n\n    {:ok, %{status: 204}} = Tesla.post(url, multipart)","ref":"AlibabaCloudKit.OSS.Object.html#presign_post_object_v1/3-examples"},{"type":"type","title":"AlibabaCloudKit.OSS.Object.access_key_id/0","doc":"","ref":"AlibabaCloudKit.OSS.Object.html#t:access_key_id/0"},{"type":"type","title":"AlibabaCloudKit.OSS.Object.access_key_secret/0","doc":"","ref":"AlibabaCloudKit.OSS.Object.html#t:access_key_secret/0"},{"type":"type","title":"AlibabaCloudKit.OSS.Object.at/0","doc":"","ref":"AlibabaCloudKit.OSS.Object.html#t:at/0"},{"type":"type","title":"AlibabaCloudKit.OSS.Object.bucket/0","doc":"","ref":"AlibabaCloudKit.OSS.Object.html#t:bucket/0"},{"type":"type","title":"AlibabaCloudKit.OSS.Object.region/0","doc":"","ref":"AlibabaCloudKit.OSS.Object.html#t:region/0"},{"type":"type","title":"AlibabaCloudKit.OSS.Object.sign_opt/0","doc":"","ref":"AlibabaCloudKit.OSS.Object.html#t:sign_opt/0"},{"type":"type","title":"AlibabaCloudKit.OSS.Object.sign_opts/0","doc":"","ref":"AlibabaCloudKit.OSS.Object.html#t:sign_opts/0"},{"type":"module","title":"AlibabaCloudKit.Signature.ACS3","doc":"An implementation for ACS V3 signature.\n\nThis type of signature is used by most of RPC style APIs:\n\n  * Elastic Compute Service (ECS)\n  * Content Delivery Network (CDN)\n  * ApsaraDB RDS\n  * ...\n\nRead more at:\n\n  * [Alibaba Cloud SDK > Product Overview > Request syntax and signature method V3](https://www.alibabacloud.com/help/en/sdk/product-overview/v3-request-structure-and-signature)\n  * [阿里云 SDK > 产品概述 > 请求结构和签名机制 > V3 版本请求体 & 签名机制](https://help.aliyun.com/zh/sdk/product-overview/request-structure-and-signature)","ref":"AlibabaCloudKit.Signature.ACS3.html"},{"type":"function","title":"AlibabaCloudKit.Signature.ACS3.sign!/2","doc":"Signs a request.","ref":"AlibabaCloudKit.Signature.ACS3.html#sign!/2"},{"type":"function","title":"Automatically added request headers - AlibabaCloudKit.Signature.ACS3.sign!/2","doc":"Following headers will be added to the request automatically:\n\n  * `host`\n  * `x-acs-date`\n  * `x-acs-content-sha256`\n  * `x-acs-signature-nonce`\n  * `authorization`","ref":"AlibabaCloudKit.Signature.ACS3.html#sign!/2-automatically-added-request-headers"},{"type":"function","title":"Examples - AlibabaCloudKit.Signature.ACS3.sign!/2","doc":"","ref":"AlibabaCloudKit.Signature.ACS3.html#sign!/2-examples"},{"type":"function","title":"Build and sign a GET request - AlibabaCloudKit.Signature.ACS3.sign!/2","doc":"request = HTTPSpec.Request.new!(\n      method: :get,\n      scheme: :https,\n      host: \"ecs-us-west-1.aliyuncs.com\",\n      port: 443,\n      path: \"/\",\n      query: URI.encode_query(%{\"RegionId\" => \"us-west-1\"}, :rfc3986),\n      headers: [\n        {\"x-acs-version\", \"2014-05-26\"},\n        {\"x-acs-action\", \"DescribeInstanceStatus\"}\n      ]\n    )\n\n    opts = [\n      access_key_id: \"...\",\n      access_key_secret: \"...\"\n    ]\n\n    AlibabaCloudKit.Signature.ACS3.sign!(request, opts)","ref":"AlibabaCloudKit.Signature.ACS3.html#sign!/2-build-and-sign-a-get-request"},{"type":"function","title":"Build and sign a POST request - AlibabaCloudKit.Signature.ACS3.sign!/2","doc":"request = HTTPSpec.Request.new!(\n      method: :post,\n      scheme: :https,\n      host: \"ecs-us-west-1.aliyuncs.com\",\n      port: 443,\n      path: \"/\",\n      headers: [\n        {\"content-type\", \"application/x-www-form-urlencoded\"},\n        {\"x-acs-version\", \"2014-05-26\"},\n        {\"x-acs-action\", \"DescribeInstanceStatus\"}\n      ],\n      body: URI.encode_query(%{\"RegionId\" => \"us-west-1\"}, :www_form)\n    )\n\n    opts = [\n      access_key_id: \"...\",\n      access_key_secret: \"...\"\n    ]\n\n    AlibabaCloudKit.Signature.ACS3.sign!(request, opts)","ref":"AlibabaCloudKit.Signature.ACS3.html#sign!/2-build-and-sign-a-post-request"},{"type":"type","title":"AlibabaCloudKit.Signature.ACS3.access_key_id/0","doc":"","ref":"AlibabaCloudKit.Signature.ACS3.html#t:access_key_id/0"},{"type":"type","title":"AlibabaCloudKit.Signature.ACS3.access_key_secret/0","doc":"","ref":"AlibabaCloudKit.Signature.ACS3.html#t:access_key_secret/0"},{"type":"type","title":"AlibabaCloudKit.Signature.ACS3.at/0","doc":"","ref":"AlibabaCloudKit.Signature.ACS3.html#t:at/0"},{"type":"type","title":"AlibabaCloudKit.Signature.ACS3.sign_opt/0","doc":"","ref":"AlibabaCloudKit.Signature.ACS3.html#t:sign_opt/0"},{"type":"type","title":"AlibabaCloudKit.Signature.ACS3.sign_opts/0","doc":"","ref":"AlibabaCloudKit.Signature.ACS3.html#t:sign_opts/0"},{"type":"module","title":"AlibabaCloudKit.Signature.DirectMail","doc":"An implementation for DirectMail signature.\n\n> I don't know the exact name of this type of signature, so let's call it\n> DirectMail for now.\n\nThis type of signature is used by:\n\n   * Direct Mail (DM)\n\nRead more at:\n\n  * [Direct Mail > API Reference > Call Method](https://www.alibabacloud.com/help/en/direct-mail/call-method/)\n  * [邮件推送 > API 参考 > 调用方式](https://help.aliyun.com/zh/direct-mail/call-method/)","ref":"AlibabaCloudKit.Signature.DirectMail.html"},{"type":"function","title":"AlibabaCloudKit.Signature.DirectMail.sign!/2","doc":"Signs a request.","ref":"AlibabaCloudKit.Signature.DirectMail.html#sign!/2"},{"type":"function","title":"Automatically added params - AlibabaCloudKit.Signature.DirectMail.sign!/2","doc":"Following params will be added to the request automatically:\n\n  * `AccessKeyId`\n  * `SignatureMethod`\n  * `SignatureVersion`\n  * `SignatureNonce`\n  * `Signature`\n  * `Timestamp`\n\nFor GET requests, they will be added to query. For POST requests, they will be\nadded to body.","ref":"AlibabaCloudKit.Signature.DirectMail.html#sign!/2-automatically-added-params"},{"type":"function","title":"Examples - AlibabaCloudKit.Signature.DirectMail.sign!/2","doc":"","ref":"AlibabaCloudKit.Signature.DirectMail.html#sign!/2-examples"},{"type":"function","title":"Build and sign a GET request - AlibabaCloudKit.Signature.DirectMail.sign!/2","doc":"params = %{\n      \"Format\" => \"JSON\",\n      \"Version\" => \"2015-11-23\",\n      \"Action\" => \"SingleSendMail\",\n      \"AccountName\" => \"admin@alibabacloudkit.com\",\n      \"AddressType\" => \"1\",\n      \"ReplyToAddress\" => \"false\",\n      \"FromAlias\" => \"AlibabaCloudKit Group\",\n      \"Subject\" => \"Announcement of AlibabaCloudKit\",\n      \"ToAddress\" => \"test@user.com\",\n      \"TextBody\" => \"This is the email send by AlibabaCloudKit.\"\n    }\n\n    opts = [\n      access_key_id: \"access_key_id\",\n      access_key_secret: \"access_key_secret\"\n    ]\n\n    HTTPSpec.Request.new!(\n      method: :get,\n      scheme: :https,\n      host: \"dm.aliyuncs.com\",\n      port: 443,\n      path: \"/\",\n      query: URI.encode_query(params, :rfc3986)\n    )\n    |> AlibabaCloudKit.Signature.DirectMail.sign!(opts)","ref":"AlibabaCloudKit.Signature.DirectMail.html#sign!/2-build-and-sign-a-get-request"},{"type":"function","title":"Build and sign a POST request - AlibabaCloudKit.Signature.DirectMail.sign!/2","doc":"params = %{\n      \"Format\" => \"JSON\",\n      \"Version\" => \"2015-11-23\",\n      \"Action\" => \"SingleSendMail\",\n      \"AccountName\" => \"admin@alibabacloudkit.com\",\n      \"AddressType\" => \"1\",\n      \"ReplyToAddress\" => \"false\",\n      \"FromAlias\" => \"AlibabaCloudKit Group\",\n      \"Subject\" => \"Announcement of AlibabaCloudKit\",\n      \"ToAddress\" => \"test@user.com\",\n      \"TextBody\" => \"This is the email send by AlibabaCloudKit.\"\n    }\n\n    opts = [\n      access_key_id: \"access_key_id\",\n      access_key_secret: \"access_key_secret\"\n    ]\n\n    HTTPSpec.Request.new!(\n      method: :post,\n      scheme: :https,\n      host: \"dm.aliyuncs.com\",\n      port: 443,\n      path: \"/\",\n      headers: [\n        {\"content-type\", \"application/x-www-form-urlencoded\"}\n      ],\n      body: URI.encode_query(params, :www_form)\n    )\n    |> AlibabaCloudKit.Signature.DirectMail.sign!(opts)","ref":"AlibabaCloudKit.Signature.DirectMail.html#sign!/2-build-and-sign-a-post-request"},{"type":"type","title":"AlibabaCloudKit.Signature.DirectMail.access_key_id/0","doc":"","ref":"AlibabaCloudKit.Signature.DirectMail.html#t:access_key_id/0"},{"type":"type","title":"AlibabaCloudKit.Signature.DirectMail.access_key_secret/0","doc":"","ref":"AlibabaCloudKit.Signature.DirectMail.html#t:access_key_secret/0"},{"type":"type","title":"AlibabaCloudKit.Signature.DirectMail.at/0","doc":"","ref":"AlibabaCloudKit.Signature.DirectMail.html#t:at/0"},{"type":"type","title":"AlibabaCloudKit.Signature.DirectMail.sign_opt/0","doc":"","ref":"AlibabaCloudKit.Signature.DirectMail.html#t:sign_opt/0"},{"type":"type","title":"AlibabaCloudKit.Signature.DirectMail.sign_opts/0","doc":"","ref":"AlibabaCloudKit.Signature.DirectMail.html#t:sign_opts/0"},{"type":"module","title":"AlibabaCloudKit.Signature.OSS4","doc":"An implementation for OSS V4 signature.\n\nThis type of signature is used by:\n\n  * Object Storage Service (OSS)\n\nRead more at:\n\n  * [Object Storage Service > Developer Reference > Use the RESTful API to initiate requests](https://www.alibabacloud.com/help/en/oss/developer-reference/use-the-restful-api-to-initiate-requests/)\n  * [对象存储 > 开发参考 > 开发指南 > 使用 REST API 发起请求](https://help.aliyun.com/zh/oss/developer-reference/use-the-restful-api-to-initiate-requests/)","ref":"AlibabaCloudKit.Signature.OSS4.html"},{"type":"function","title":"AlibabaCloudKit.Signature.OSS4.sign!/2","doc":"Signs a request.","ref":"AlibabaCloudKit.Signature.OSS4.html#sign!/2"},{"type":"function","title":"The location to put signature - AlibabaCloudKit.Signature.OSS4.sign!/2","doc":"The location to put signature is controlled by the `:sign_type` option:\n\n  * `:header` (default) - add signature to the headers of a request.\n  * `:query` - add signature to the query of a request.","ref":"AlibabaCloudKit.Signature.OSS4.html#sign!/2-the-location-to-put-signature"},{"type":"function","title":"Automatically added request headers when using `:header` sign type - AlibabaCloudKit.Signature.OSS4.sign!/2","doc":"Following headers will be added to the request automatically:\n\n  * `host`\n  * `date`\n  * `content-md5` (overridable)\n  * `content-type` (overridable)\n  * `x-oss-date`\n  * `x-oss-content-sha256`\n  * `authorization`","ref":"AlibabaCloudKit.Signature.OSS4.html#sign!/2-automatically-added-request-headers-when-using-header-sign-type"},{"type":"function","title":"Automatically added request queries when using `:query` sign type - AlibabaCloudKit.Signature.OSS4.sign!/2","doc":"Following queries will be added to the request automatically:\n\n  * `x-oss-signature-version`\n  * `x-oss-credential`\n  * `x-oss-date`\n  * `x-oss-expires` (overridable)\n  * `x-oss-additional-headers`","ref":"AlibabaCloudKit.Signature.OSS4.html#sign!/2-automatically-added-request-queries-when-using-query-sign-type"},{"type":"function","title":"Required headers - AlibabaCloudKit.Signature.OSS4.sign!/2","doc":"All necessary headers of requests will be generated automatically. You don't\nhave to specifically set them, unless you want to customize it.","ref":"AlibabaCloudKit.Signature.OSS4.html#sign!/2-required-headers"},{"type":"function","title":"Examples - AlibabaCloudKit.Signature.OSS4.sign!/2","doc":"","ref":"AlibabaCloudKit.Signature.OSS4.html#sign!/2-examples"},{"type":"function","title":"Build and sign a request for `ListBucktets` operation - AlibabaCloudKit.Signature.OSS4.sign!/2","doc":"request = HTTPSpec.Request.new!(\n      method: :get,\n      scheme: :https,\n      host: \"oss-us-west-1.aliyuncs.com\",\n      port: 443,\n      path: \"/\"\n    )\n\n    opts = [\n      access_key_id: \"...\",\n      access_key_secret: \"...\",\n      region: \"oss-us-west-1\",\n      sign_type: :header\n    ]\n\n    AlibabaCloudKit.Signature.OSS4.sign!(request, opts)","ref":"AlibabaCloudKit.Signature.OSS4.html#sign!/2-build-and-sign-a-request-for-listbucktets-operation"},{"type":"function","title":"Build a pre-signed url for `GetObject` operation - AlibabaCloudKit.Signature.OSS4.sign!/2","doc":"request = HTTPSpec.Request.new!(\n      method: :get,\n      scheme: :https,\n      host: \"example-bucket.oss-us-west-1.aliyuncs.com\",\n      port: 443,\n      path: \"/example-object\",\n      query: \"x-oss-expires=900\"\n    )\n\n    opts = [\n      access_key_id: \"...\",\n      access_key_secret: \"...\",\n      region: \"oss-us-west-1\",\n      bucket: \"example-bucket\",\n      sign_type: :query\n    ]\n\n    request\n    |> AlibabaCloudKit.Signature.OSS4.sign!(opts)\n    |> HTTPSpec.Request.build_url()","ref":"AlibabaCloudKit.Signature.OSS4.html#sign!/2-build-a-pre-signed-url-for-getobject-operation"},{"type":"type","title":"AlibabaCloudKit.Signature.OSS4.access_key_id/0","doc":"","ref":"AlibabaCloudKit.Signature.OSS4.html#t:access_key_id/0"},{"type":"type","title":"AlibabaCloudKit.Signature.OSS4.access_key_secret/0","doc":"","ref":"AlibabaCloudKit.Signature.OSS4.html#t:access_key_secret/0"},{"type":"type","title":"AlibabaCloudKit.Signature.OSS4.at/0","doc":"","ref":"AlibabaCloudKit.Signature.OSS4.html#t:at/0"},{"type":"type","title":"AlibabaCloudKit.Signature.OSS4.bucket/0","doc":"","ref":"AlibabaCloudKit.Signature.OSS4.html#t:bucket/0"},{"type":"type","title":"AlibabaCloudKit.Signature.OSS4.region/0","doc":"","ref":"AlibabaCloudKit.Signature.OSS4.html#t:region/0"},{"type":"type","title":"AlibabaCloudKit.Signature.OSS4.sign_opt/0","doc":"","ref":"AlibabaCloudKit.Signature.OSS4.html#t:sign_opt/0"},{"type":"type","title":"AlibabaCloudKit.Signature.OSS4.sign_opts/0","doc":"","ref":"AlibabaCloudKit.Signature.OSS4.html#t:sign_opts/0"},{"type":"type","title":"AlibabaCloudKit.Signature.OSS4.sign_type/0","doc":"","ref":"AlibabaCloudKit.Signature.OSS4.html#t:sign_type/0"},{"type":"extras","title":"AlibabaCloudKit","doc":"# AlibabaCloudKit\n\n[![CI](https://github.com/cozy-elixir/alibaba_cloud_kit/actions/workflows/ci.yml/badge.svg)](https://github.com/cozy-elixir/alibaba_cloud_kit/actions/workflows/ci.yml)\n[![Hex.pm](https://img.shields.io/hexpm/v/alibaba_cloud_kit.svg)](https://hex.pm/packages/alibaba_cloud_kit)\n\nA kit for Alibaba Cloud or Aliyun.","ref":"readme.html"},{"type":"extras","title":"Notes - AlibabaCloudKit","doc":"This package is still in its early stages, so it may still undergo significant changes, potentially leading to breaking changes.","ref":"readme.html#notes"},{"type":"extras","title":"Installation - AlibabaCloudKit","doc":"Add `:alibaba_cloud_kit` to the list of dependencies in `mix.exs`:\n\n```elixir\ndef deps do\n  [\n    {:alibaba_cloud_kit, \" \"}\n  ]\nend\n```","ref":"readme.html#installation"},{"type":"extras","title":"Usage - AlibabaCloudKit","doc":"For more information, see the [documentation](https://hexdocs.pm/alibaba_cloud_kit).","ref":"readme.html#usage"},{"type":"extras","title":"Tests - AlibabaCloudKit","doc":"Run basic tests:\n\n```console\n$ mix test\n```\n\nRun all tests:\n\n```console\n$ export TEST_ACCESS_KEY_ID=...\n$ export TEST_ACCESS_KEY_SECRET=...\n$ export TEST_OSS_REGION=...\n$ export TEST_OSS_BUCKET=...\n\n$ mix test.all\n```","ref":"readme.html#tests"},{"type":"extras","title":"License - AlibabaCloudKit","doc":"[Apache License 2.0](http://www.apache.org/licenses/LICENSE-2.0)","ref":"readme.html#license"},{"type":"extras","title":"Changelog","doc":"# Changelog","ref":"changelog.html"},{"type":"extras","title":"v1.1.0 - Changelog","doc":"- add `AlibabaCloudKit.OSS.Object.presign_post_object_v1/3`","ref":"changelog.html#v1-1-0"},{"type":"extras","title":"v1.0.0 - Changelog","doc":"- rename this package from `aliyun_open_api` to `alibaba_cloud_kit`.\n- rewrite all the code to fit my new idea.","ref":"changelog.html#v1-0-0"}],"content_type":"text/markdown","producer":{"name":"ex_doc","version":[48,46,51,52,46,50]}}